Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.helpers.persist
Class SqlDbTable

    java.lang.Object
      org.jboss.soa.esb.helpers.persist.SqlDbTable

    public abstract class SqlDbTable

extends java.lang.Object

Field Summary
`protected SqlField[]` | `m_oaFields`
`protected java.sql.PreparedStatement[]` | `m_oaPS`
`protected java.lang.String` | `m_sSelectSql`
`protected java.lang.String` | `m_sTableName`

Constructor Summary
`SqlDbTable(JdbcCleanConn p_oC, java.lang.String p_sTblNm)`

Method Summary
`SqlField[]` | `getAllFields()`
`JdbcCleanConn` | `getConn()`
`java.lang.String` | `getDeleteStatement()`
`java.lang.String` | `getFldName(int p_i)`
`abstract java.lang.Object` | `getFromRS(java.sql.ResultSet p_oRS)`
`java.lang.String` | `getInsertStatement()`
`protected abstract java.lang.String` | `getSelectFields()`
`java.lang.String` | `getSelectStatement()`
`java.lang.String` | `getTableName()`
`java.lang.String` | `getUpdateStatement()`
`abstract int` | `setInsValues(java.sql.PreparedStatement p_PS, java.lang.Object bobj)`
`void` | `setInt(java.sql.PreparedStatement p_PS, int p_iFld, int p_iVal)`
`void` | `setLong(java.sql.PreparedStatement p_PS, int p_iFld, long p_lVal)`
`void` | `setObject(java.sql.PreparedStatement p_PS, int p_iFld, java.lang.Object p_sFldVal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_sTableName

    protected java.lang.String m_sTableName

### m_oaFields

    protected SqlField[] m_oaFields

### m_oaPS

    protected java.sql.PreparedStatement[] m_oaPS

### m_sSelectSql

    protected java.lang.String m_sSelectSql

Constructor Detail

### SqlDbTable

    public SqlDbTable(JdbcCleanConn p_oC,
                      java.lang.String p_sTblNm)
               throws java.sql.SQLException,
                      ConfigurationException

Throws:
  `java.sql.SQLException`
  `ConfigurationException`

Method Detail

### getConn

    public JdbcCleanConn getConn()

### getTableName

    public final java.lang.String getTableName()

### getAllFields

    public final SqlField[] getAllFields()

### setInsValues

    public abstract int setInsValues(java.sql.PreparedStatement p_PS,
                                     java.lang.Object bobj)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFromRS

    public abstract java.lang.Object getFromRS(java.sql.ResultSet p_oRS)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getSelectFields

    protected abstract java.lang.String getSelectFields()

### getFldName

    public java.lang.String getFldName(int p_i)

### getSelectStatement

    public java.lang.String getSelectStatement()

### getInsertStatement

    public java.lang.String getInsertStatement()

### getUpdateStatement

    public java.lang.String getUpdateStatement()

### getDeleteStatement

    public java.lang.String getDeleteStatement()

### setObject

    public void setObject(java.sql.PreparedStatement p_PS,
                          int p_iFld,
                          java.lang.Object p_sFldVal)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setLong

    public void setLong(java.sql.PreparedStatement p_PS,
                        int p_iFld,
                        long p_lVal)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setInt

    public void setInt(java.sql.PreparedStatement p_PS,
                       int p_iFld,
                       int p_iVal)
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD